%global realname riak_kv
%global upstream basho
#
# This package contains only arch-independent data but install it into
# arch-dependent directory thus making this package arch-dependent. In order to
# suppress empty *-debuginfo generation we have to explicitly order
# debuginfo-generator to skip trying to build *-debuiginfo for that package.
#
%global debug_package %{nil}


Name:		erlang-%{realname}
Version:	2.1.2
Release:	2%{?dist}
Summary:	Riak Key/Value Store
Group:		Development/Languages
License:	ASL 2.0
URL:		https://github.com/%{upstream}/%{realname}
%if 0%{?el7}%{?fedora}
VCS:		scm:git:https://github.com/%{upstream}/%{realname}.git
%endif
Source0:	https://github.com/%{upstream}/%{realname}/archive/%{version}/%{realname}-%{version}.tar.gz
Patch1:		erlang-riak_kv-0001-Don-t-use-obsolete-erlang-now-0.patch
Patch2:		erlang-riak_kv-0002-Disable-fancy-eunit-output.patch
Patch3:		erlang-riak_kv-0003-New-lager-API.patch
Patch4:		erlang-riak_kv-0004-Proper-place-for-schemas.patch
Patch5:		erlang-riak_kv-0005-Don-t-use-deps-for-schema-files-when-testing.patch
Patch6:		erlang-riak_kv-0006-Use-system-wide-mochiweb.patch
BuildRequires:	erlang-bitcask >= 1.6.2
BuildRequires:	erlang-eper >= 0.60
BuildRequires:	erlang-js >= 1.2.2
BuildRequires:	erlang-meck
BuildRequires:	erlang-rebar
BuildRequires:	erlang-riak_api >= 2.1.0
BuildRequires:	erlang-riak_dt >= 2.1.0
BuildRequires:	erlang-riak_pipe >= 2.1.0
BuildRequires:	erlang-sext >= 1.1
BuildRequires:	erlang-sidejob >= 0.2.0
#BuildRequires:	erlang-yokozuna


%description
Riak Key/Value Store.


%prep
%setup -q -n %{realname}-%{version}
%patch1 -p1 -b .deprecated_now
%patch2 -p1 -b .disable_fancy_output
%patch3 -p1 -b .new_lager_api
%patch4 -p1 -b .proper_path_to_schemas
%patch5 -p1 -b .systemwide_schemas
%patch6 -p1 -b .systemwide_mochiweb


%build
%{erlang_compile}


%install
%{erlang_install}

#install -p -m 0644 src/riak_kv_wm_raw.hrl %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/include
install -D -p -m 0644 priv/mapred_builtins.js %{buildroot}%{erlang_appdir}/priv/mapred_builtins.js
install -D -p -m 0644 priv/riak_kv.schema %{buildroot}%{erlang_appdir}/priv/riak_kv.schema
install -D -p -m 0644 priv/multi_backend.schema %{buildroot}%{erlang_appdir}/priv/multi_backend.schema


%check
%{erlang_test}



%files
%doc docs/* README.org
%{erlang_appdir}/


%changelog
* Mon May 16 2016 Peter Lemenkov <lemenkov@gmail.com> - 2.1.2-2
- Install schemas properly

* Fri Apr 22 2016 Peter Lemenkov <lemenkov@gmail.com> - 2.1.2-1
- Ver. 2.1.2

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jun 22 2015 Marcin Juszkiewicz <mjuszkiewicz@redhat.com> - 1.3.2-5
- Patch to get it built with erlang-js 1.3.0 and erlang-ebloom 2.0.0

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Aug 06 2013 Peter Lemenkov <lemenkov@gmail.com> - 1.3.2-1
- Ver. 1.3.2

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Mar 24 2013 Peter Lemenkov <lemenkov@gmail.com> - 1.3.1-1
- Ver. 1.3.1

* Mon Mar 11 2013 Peter Lemenkov <lemenkov@gmail.com> - 1.3.0-1
- Ver. 1.3.0

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-3.p3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Nov 18 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.2.1-2.p3
- Ver. 1.2.1p3

* Sat Oct 27 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.2.1-1.p2
- Ver. 1.2.1p2

* Sun Aug 05 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.1.4-1
- Ver. 1.1.4 (security bugfix)

* Tue Jun 19 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.1.2-1
- Ver. 1.1.2

* Sat Feb 26 2011 Peter Lemenkov <lemenkov@gmail.com> - 0.14.1-1
- Ver. 0.14.1

* Sun Jan 23 2011 Peter Lemenkov <lemenkov@gmail.com> - 0.14.0-1
- Ver. 0.14.0

* Fri Nov 12 2010 Peter Lemenkov <lemenkov@gmail.com> - 0.13.0-1
- Initial build

